### Method

# Gtk.TreeStore.insert_with_valuesv

#### Declaration [src]

    void
    gtk_tree_store_insert_with_valuesv (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter,
      GtkTreeIter* parent,
      int position,
      int* columns,
      GValue* values,
      int n_values
    )

#### Description [src]

A variant of `gtk_tree_store_insert_with_values()` which takes the columns and values as two arrays, instead of varargs. This function is mainly intended for language bindings.

#### Parameters

`iter` | `GtkTreeIter`
| An unset `GtkTreeIter` to set the new row, or `NULL`.
| Direction: out
| Ownership is not transferred to the callee
`parent` | `GtkTreeIter`
| A valid `GtkTreeIter`, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`position` | `int`
| position to insert the new row, or -1 for last
`columns` | An array of `int`
| an array of column numbers
| The length of the array is in the `n_values` argument
| Ownership is not transferred to the callee
`values` | An array of `GValue`
| an array of GValues
| The length of the array is in the `n_values` argument
| Ownership is not transferred to the callee
`n_values` | `int`
| the length of the `columns` and `values` arrays